//ES128DJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       ES128DJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Delete ESDS using IDCAMS.
//* Author - SimoTime Technologies
//* Date   - July 24, 2007
//*
//* The process will delete an existing data set.
//* If a Data Set does not exist the MAXCC statement will set the
//* non-zero condition code back to zero.
//*
//* This set of programs will run on a mainframe under ZOS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express
//* or Enterprise Server.
//*
//STEP0010 EXEC PGM=IDCAMS
//SYSIN    DD *
   DELETE (SIMOTIME.ESDS.ESDSC128)
   SET MAXCC = 0
//SYSOUT   DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//SYSUDUMP DD  SYSOUT=*
//*
