//ES128RJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       ES128RJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by: SimoTime Technologies       *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Delete and Define an ESDS using IDCAMS.
//* Author - SimoTime Technologies
//* Date   - July 24, 2007
//*
//* The process will delete an existing data set and create a new
//* Entry Sequenced Data Set (ESDS). If a Data Set does not exist the
//* MAXCC statement will set the non-zero condition code back to zero.
//*
//* This set of programs will run on a mainframe under ZOS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express
//* or Enterprise Server.
//*
//STEP0010 EXEC PGM=IDCAMS
//SYSIN    DD *
   DELETE (SIMOTIME.ESDS.ESDSC128)

   SET MAXCC = 0

   DEFINE CLUSTER(                      -
        NAME(SIMOTIME.ESDS.ESDSC128)    -
        NONINDEXED                      -
        SHR(2 3)                        -
        CYL(9 9)                        -
        VOL(*))                         -
      DATA                              -
        (NAME(SIMOTIME.ESDS.ESDSD128)   -
         RECSZ(128 128)                 -
         CISZ(8192)                     -
         FREESPACE(0 0))
//SYSOUT   DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//SYSUDUMP DD  SYSOUT=*
//*
