//ES128UJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       ES128UJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Update an ESDS using a COBOL Program.
//* Author - SimoTime Technologies
//* Date   - July 24, 2007
//*
//* Add records to an Entry Sequenced Data Set (ESDS). The records to
//* be added are instream in this JCL member.
//*
//* This set of programs will run on a mainframe under ZOS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express
//* or Enterprise Server.
//*
//*                      ************
//*                      * ESU128J1 *
//*                      ********jcl*
//*                           *
//*                           *
//*     ************     ************     ************
//*     * ESD080RS ******* ESD128C1 ******* PUTES128 *
//*     ********jcl*     ********utl*     *******esds*
//*                           *
//*                           *
//*                      ************
//*                      *   EOJ    *
//*                      ************
//*
//*
//*
//* *******************************************************************
//* Step   1   Delete any previously created file...
//*
//JOBSETUP EXEC PGM=IEFBR14
//SYSUT2   DD  DSN=SIMOTIME.DATA.STRING80,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step   2   Create and populate a new QSAM file...
//*
//RSEQMAKE EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
00000001 - Hello World
00000002 - Enjoy the trip
00000003 - Good Bye World
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.STRING80,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step   3 of 3  Populate an Entry Sequenced Data Set (ESDS).
//*
//ESD128S1 EXEC PGM=ESD128C1
//ESD080RS DD  DSN=SIMOTIME.DATA.STRING80,DISP=SHR
//ESD128D1 DD  DSN=SIMOTIME.ESDS.ESDSC128,DISP=MOD
//SYSOUT   DD  SYSOUT=*
//*
